# Generated from SimBot-0.1.43.gem by gem2rpm -*- rpm-spec -*-
%global gem_name SimBot

Name: rubygem-%{gem_name}
Version: 0.1.43
Release: 1%{?dist}
Summary: SimBot simulation Bot CLI used to simulate real world trading activity on the exchange staging environment
License: MIT
URL: https://github.com/ovCEO/SimBot
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
SimBot simulation Bot CLI used to simulate real world trading activity on the
exchange staging environment. for testing and QA purposes.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/SimBot
%{gem_instdir}/.DS_Store
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.idea
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/19071.errfile
%{gem_instdir}/19071.outfile
%{gem_instdir}/19071.pid
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/cmc_data.xls
%{gem_instdir}/cmc_data.xlsx
%{gem_instdir}/email_footer.html
%{gem_instdir}/email_template.txt
%{gem_instdir}/exe
%{gem_instdir}/exportToHTML
%{gem_libdir}
%{gem_instdir}/project_email_data.xls
%{gem_instdir}/project_email_data.xlsx
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/SimBot.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.43-1
- Initial package
